Inhalte
Index 🔎︎

# Funktion StrComp

Vergleicht zwei Zeichenketten und liefert einen ganzzahligen Wert, der das Ergebnis des Vergleichs darstellt.

## Syntax:

    StrComp (Text1 As String, Text2 As String[, Vergleich])

## Rückgabewert:

Integer

## Parameter:

Text1: Ein beliebiger Zeichenkettenausdruck

Text2: Ein beliebiger Zeichenkettenausdruck

Vergleich: Dieser optionale Parameter legt die Vergleichsmethode fest. Bei Vergleich = 1 wird beim Zeichenkettenvergleich zwischen Groß- und Kleinbuchstaben unterschieden. Bei Vergleich = 0 wird nicht zwischen Groß- und Kleinbuchstaben unterschieden.

### Rückgabewert

- Wenn Text1 < Text2, dann liefert die Funktion -1

- Wenn Text1 = Text2, dann liefert die Funktion 0

- Wenn Text1 > Text2, dann liefert die Funktion 1

### Fehlercodes:

5 Ungültiger Prozeduraufruf

## Beispiel:

    Sub ExampleStrComp
    Dim iVar As Single
    Dim sVar As String
        iVar = 123.123
        sVar = Str$(iVar)
        MsgBox strcomp(sVar , Str$(iVar),1)
    End Sub